MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::SCExtrapError Class Reference

SCExtrapError holds the error data needed by SelfConsistentExtrapolation. More...

`#include <scextrap.h>`

Inheritance diagram for sc::SCExtrapError:

List of all members.

## Public Member Functions

| SCExtrapError ()
| Construct a new SCExtrapError.
| SCExtrapError (StateIn &)
| Constructor to restore SCExtrapError from a StateIn object.
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
virtual double | error ()=0
| Returns some measure of the total error.
virtual double | scalar_product (const Ref< SCExtrapError > &)=0
| Performs a scalar product between this and the given SCExtrapError.

## Detailed Description

SCExtrapError holds the error data needed by SelfConsistentExtrapolation.

## Member Function Documentation

void sc::SCExtrapError::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

Reimplemented in sc::SymmSCMatrixSCExtrapError.

The documentation for this class was generated from the following file:

- scextrap.h